Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Dlartv

    java.lang.Object
      org.netlib.lapack.Dlartv

    public class Dlartv

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DLARTV applies a vector of real plane rotations to elements of the
     *  real vectors x and y. For i = 1,2,...,n
     *
     *     ( x(i) ) := (  c(i)  s(i) ) ( x(i) )
     *     ( y(i) )    ( -s(i)  c(i) ) ( y(i) )
     *
     *  Arguments
     *  =========
     *
     *  N       (input) INTEGER
     *          The number of plane rotations to be applied.
     *
     *  X       (input/output) DOUBLE PRECISION array,
     *                         dimension (1+(N-1)*INCX)
     *          The vector x.
     *
     *  INCX    (input) INTEGER
     *          The increment between elements of X. INCX > 0.
     *
     *  Y       (input/output) DOUBLE PRECISION array,
     *                         dimension (1+(N-1)*INCY)
     *          The vector y.
     *
     *  INCY    (input) INTEGER
     *          The increment between elements of Y. INCY > 0.
     *
     *  C       (input) DOUBLE PRECISION array, dimension (1+(N-1)*INCC)
     *          The cosines of the plane rotations.
     *
     *  S       (input) DOUBLE PRECISION array, dimension (1+(N-1)*INCC)
     *          The sines of the plane rotations.
     *
     *  INCC    (input) INTEGER
     *          The increment between elements of C and S. INCC > 0.
     *
     *  =====================================================================
     *
     *     .. Local Scalars ..

Constructor Summary
`Dlartv()`

Method Summary
`static void` | `dlartv(int n, double[] x, int _x_offset, int incx, double[] y, int _y_offset, int incy, double[] c, int _c_offset, double[] s, int _s_offset, int incc)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Dlartv

    public Dlartv()

Method Detail

### dlartv

    public static void dlartv(int n,
                              double[] x,
                              int _x_offset,
                              int incx,
                              double[] y,
                              int _y_offset,
                              int incy,
                              double[] c,
                              int _c_offset,
                              double[] s,
                              int _s_offset,
                              int incc)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD